@prefix oslc_data: <http://open-services.net/ns/servicemanagement/1.0/> 
@prefix rdf:   <http://www.w3.org/1999/02/22-rdf-syntax-ns#> 
@prefix dcterms: <http://purl.org/dc/terms/> 
@prefix xsd: <http://www.w3.org/2001/XMLSchema#> 
@prefix rdfs:  <http://www.w3.org/2000/01/rdf-schema#> 
@prefix sam:   <http://www.sampledomain.org/sam#> 
@prefix oslc:  <http://open-services.net/ns/core#> 
@prefix : <http://example.org/> 
@prefix sh: <http://www.w3.org/ns/shacl#>

:S a sh:Shape;
   sh:targetClass sam:AResource;
   sh:property [
     sh:predicate sam:aStringProperty;
	 sh:datatype xsd:string;
     sh:minCount 1 ;
     sh:maxCount 1 ;
   ] ; 
   sh:property [
     sh:predicate sam:anIntegerProperty;
	 sh:datatype xsd:int;
     sh:minCount 1 ;
     sh:maxCount 1 ;
   ] ;
   sh:property [
     sh:predicate sam:aSetOfDates;
	 sh:datatype xsd:dateTime;
     sh:minCount 1 ;
     sh:maxCount 10 ;
   ] .
   